Subject: draft-ietf-httpbis-http2-16, "5.5 Extending HTTP/2"

From: Julian Reschke <[email-masked]>
Date: Mon, 12 Jan 2015 17:51:30 +0100

<http://greenbytes.de/tech/webdav/draft-ietf-httpbis-http2-16.html#rfc.section.5.5>:

"HTTP/2 permits extension of the protocol. Protocol extensions can be 
used to provide additional services or alter any aspect of the protocol, 
within the limitations described in this section. Extensions are 
effective only within the scope of a single HTTP/2 connection.

Extensions are permitted to use new frame types (Section 4.1), new 
settings (Section 6.5.2), or new error codes (Section 7). Registries are 
established for managing these extension points: frame types (Section 
11.2), settings (Section 11.3) and error codes (Section 11.4).

Implementations MUST ignore unknown or unsupported values in all 
extensible protocol elements. ..."

HTTP/2 inherits extensible protocol elements from HTTP/1.1, such as 
status codes and method names. These do not fall under "must ignore".

Maybe clarify that this only applies to the extension points specific to 
the HTTP/2 wire format.

Best regards, Julian

---

From: Martin Thomson <[email-masked]>
Date: Sun, 18 Jan 2015 13:03:27 -0800

BTW, https://github.com/http2/http2-spec/issues/677

On 12 January 2015 at 08:51, Julian Reschke <[email-masked]> wrote:
> "HTTP/2 permits extension of the protocol. Protocol extensions can be used
> to provide additional services or alter any aspect of the protocol, within
> the limitations described in this section. Extensions are effective only
> within the scope of a single HTTP/2 connection.
>
> Extensions are permitted to use new frame types (Section 4.1), new settings
> (Section 6.5.2), or new error codes (Section 7). Registries are established
> for managing these extension points: frame types (Section 11.2), settings
> (Section 11.3) and error codes (Section 11.4).
>
> Implementations MUST ignore unknown or unsupported values in all extensible
> protocol elements. ..."
>
> HTTP/2 inherits extensible protocol elements from HTTP/1.1, such as status
> codes and method names. These do not fall under "must ignore".
>
> Maybe clarify that this only applies to the extension points specific to the
> HTTP/2 wire format.
>
> Best regards, Julian
>